from django.views import generic

from pictures.models import Message


class MessageListView(generic.ListView):
    model = Message
    template_name = "pictures/messages-list.html"
    context_object_name = "messages"


class MessageDetailView(generic.DetailView):
    model = Message
    template_name = "pictures/messages-detail.html"
    context_object_name = "message"
